# pulp_ostree-client
Fetch, Upload, Organize, and Distribute Software Packages

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v3
- Package version: 2.0.0a7.dev1675134650
- Build package: org.openapitools.codegen.languages.PythonClientCodegen
For more information, please visit [https://pulpproject.org](https://pulpproject.org)

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import pulpcore.client.pulp_ostree
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import pulpcore.client.pulp_ostree
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function

import time
import pulpcore.client.pulp_ostree
from pulpcore.client.pulp_ostree.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://pulp
# See configuration.py for a list of all supported configuration parameters.
configuration = pulpcore.client.pulp_ostree.Configuration(
    host = "https://pulp"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure HTTP basic authorization: basicAuth
configuration = pulpcore.client.pulp_ostree.Configuration(
    username = 'YOUR_USERNAME',
    password = 'YOUR_PASSWORD'
)

# Configure API key authorization: cookieAuth
configuration = pulpcore.client.pulp_ostree.Configuration(
    host = "https://pulp",
    api_key = {
        'sessionid': 'YOUR_API_KEY'
    }
)
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['sessionid'] = 'Bearer'


# Enter a context with an instance of the API client
with pulpcore.client.pulp_ostree.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = pulpcore.client.pulp_ostree.ContentCommitsApi(api_client)
    checksum = 'checksum_example' # str | Filter results where checksum matches value (optional)
limit = 56 # int | Number of results to return per page. (optional)
offset = 56 # int | The initial index from which to return the results. (optional)
ordering = ['ordering_example'] # list[str] | Ordering (optional)
repository_version = 'repository_version_example' # str | Repository Version referenced by HREF (optional)
repository_version_added = 'repository_version_added_example' # str | Repository Version referenced by HREF (optional)
repository_version_removed = 'repository_version_removed_example' # str | Repository Version referenced by HREF (optional)
fields = ['fields_example'] # list[str] | A list of fields to include in the response. (optional)
exclude_fields = ['exclude_fields_example'] # list[str] | A list of fields to exclude from the response. (optional)

    try:
        # List ostree commits
        api_response = api_instance.list(checksum=checksum, limit=limit, offset=offset, ordering=ordering, repository_version=repository_version, repository_version_added=repository_version_added, repository_version_removed=repository_version_removed, fields=fields, exclude_fields=exclude_fields)
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling ContentCommitsApi->list: %s\n" % e)
    
```

## Documentation for API Endpoints

All URIs are relative to *https://pulp*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ContentCommitsApi* | [**list**](docs/ContentCommitsApi.md#list) | **GET** /pulp/api/v3/content/ostree/commits/ | List ostree commits
*ContentCommitsApi* | [**read**](docs/ContentCommitsApi.md#read) | **GET** {ostree_ostree_commit_href} | Inspect an ostree commit
*ContentConfigsApi* | [**list**](docs/ContentConfigsApi.md#list) | **GET** /pulp/api/v3/content/ostree/configs/ | List ostree configs
*ContentConfigsApi* | [**read**](docs/ContentConfigsApi.md#read) | **GET** {ostree_ostree_config_href} | Inspect an ostree config
*ContentObjectsApi* | [**list**](docs/ContentObjectsApi.md#list) | **GET** /pulp/api/v3/content/ostree/objects/ | List ostree objects
*ContentObjectsApi* | [**read**](docs/ContentObjectsApi.md#read) | **GET** {ostree_ostree_object_href} | Inspect an ostree object
*ContentRefsApi* | [**list**](docs/ContentRefsApi.md#list) | **GET** /pulp/api/v3/content/ostree/refs/ | List ostree refs
*ContentRefsApi* | [**read**](docs/ContentRefsApi.md#read) | **GET** {ostree_ostree_ref_href} | Inspect an ostree ref
*ContentSummariesApi* | [**list**](docs/ContentSummariesApi.md#list) | **GET** /pulp/api/v3/content/ostree/summaries/ | List ostree summarys
*ContentSummariesApi* | [**read**](docs/ContentSummariesApi.md#read) | **GET** {ostree_ostree_summary_href} | Inspect an ostree summary
*DistributionsOstreeApi* | [**create**](docs/DistributionsOstreeApi.md#create) | **POST** /pulp/api/v3/distributions/ostree/ostree/ | Create an ostree distribution
*DistributionsOstreeApi* | [**delete**](docs/DistributionsOstreeApi.md#delete) | **DELETE** {ostree_ostree_distribution_href} | Delete an ostree distribution
*DistributionsOstreeApi* | [**list**](docs/DistributionsOstreeApi.md#list) | **GET** /pulp/api/v3/distributions/ostree/ostree/ | List ostree distributions
*DistributionsOstreeApi* | [**partial_update**](docs/DistributionsOstreeApi.md#partial_update) | **PATCH** {ostree_ostree_distribution_href} | Update an ostree distribution
*DistributionsOstreeApi* | [**read**](docs/DistributionsOstreeApi.md#read) | **GET** {ostree_ostree_distribution_href} | Inspect an ostree distribution
*DistributionsOstreeApi* | [**update**](docs/DistributionsOstreeApi.md#update) | **PUT** {ostree_ostree_distribution_href} | Update an ostree distribution
*RemotesOstreeApi* | [**create**](docs/RemotesOstreeApi.md#create) | **POST** /pulp/api/v3/remotes/ostree/ostree/ | Create an ostree remote
*RemotesOstreeApi* | [**delete**](docs/RemotesOstreeApi.md#delete) | **DELETE** {ostree_ostree_remote_href} | Delete an ostree remote
*RemotesOstreeApi* | [**list**](docs/RemotesOstreeApi.md#list) | **GET** /pulp/api/v3/remotes/ostree/ostree/ | List ostree remotes
*RemotesOstreeApi* | [**partial_update**](docs/RemotesOstreeApi.md#partial_update) | **PATCH** {ostree_ostree_remote_href} | Update an ostree remote
*RemotesOstreeApi* | [**read**](docs/RemotesOstreeApi.md#read) | **GET** {ostree_ostree_remote_href} | Inspect an ostree remote
*RemotesOstreeApi* | [**update**](docs/RemotesOstreeApi.md#update) | **PUT** {ostree_ostree_remote_href} | Update an ostree remote
*RepositoriesOstreeApi* | [**create**](docs/RepositoriesOstreeApi.md#create) | **POST** /pulp/api/v3/repositories/ostree/ostree/ | Create an ostree repository
*RepositoriesOstreeApi* | [**delete**](docs/RepositoriesOstreeApi.md#delete) | **DELETE** {ostree_ostree_repository_href} | Delete an ostree repository
*RepositoriesOstreeApi* | [**import_all**](docs/RepositoriesOstreeApi.md#import_all) | **POST** {ostree_ostree_repository_href}import_all/ | Import refs and commits to a repository
*RepositoriesOstreeApi* | [**import_commits**](docs/RepositoriesOstreeApi.md#import_commits) | **POST** {ostree_ostree_repository_href}import_commits/ | Append child commits to a repository
*RepositoriesOstreeApi* | [**list**](docs/RepositoriesOstreeApi.md#list) | **GET** /pulp/api/v3/repositories/ostree/ostree/ | List ostree repositorys
*RepositoriesOstreeApi* | [**modify**](docs/RepositoriesOstreeApi.md#modify) | **POST** {ostree_ostree_repository_href}modify/ | Modify repository
*RepositoriesOstreeApi* | [**partial_update**](docs/RepositoriesOstreeApi.md#partial_update) | **PATCH** {ostree_ostree_repository_href} | Update an ostree repository
*RepositoriesOstreeApi* | [**read**](docs/RepositoriesOstreeApi.md#read) | **GET** {ostree_ostree_repository_href} | Inspect an ostree repository
*RepositoriesOstreeApi* | [**sync**](docs/RepositoriesOstreeApi.md#sync) | **POST** {ostree_ostree_repository_href}sync/ | Sync from remote
*RepositoriesOstreeApi* | [**update**](docs/RepositoriesOstreeApi.md#update) | **PUT** {ostree_ostree_repository_href} | Update an ostree repository
*RepositoriesOstreeVersionsApi* | [**delete**](docs/RepositoriesOstreeVersionsApi.md#delete) | **DELETE** {ostree_ostree_repository_version_href} | Delete a repository version
*RepositoriesOstreeVersionsApi* | [**list**](docs/RepositoriesOstreeVersionsApi.md#list) | **GET** {ostree_ostree_repository_href}versions/ | List repository versions
*RepositoriesOstreeVersionsApi* | [**read**](docs/RepositoriesOstreeVersionsApi.md#read) | **GET** {ostree_ostree_repository_version_href} | Inspect a repository version
*RepositoriesOstreeVersionsApi* | [**repair**](docs/RepositoriesOstreeVersionsApi.md#repair) | **POST** {ostree_ostree_repository_version_href}repair/ | 


## Documentation For Models

 - [AsyncOperationResponse](docs/AsyncOperationResponse.md)
 - [ContentSummaryResponse](docs/ContentSummaryResponse.md)
 - [OstreeImportAll](docs/OstreeImportAll.md)
 - [OstreeImportCommitsToRef](docs/OstreeImportCommitsToRef.md)
 - [OstreeOstreeCommitResponse](docs/OstreeOstreeCommitResponse.md)
 - [OstreeOstreeConfigResponse](docs/OstreeOstreeConfigResponse.md)
 - [OstreeOstreeDistribution](docs/OstreeOstreeDistribution.md)
 - [OstreeOstreeDistributionResponse](docs/OstreeOstreeDistributionResponse.md)
 - [OstreeOstreeObjectResponse](docs/OstreeOstreeObjectResponse.md)
 - [OstreeOstreeRefResponse](docs/OstreeOstreeRefResponse.md)
 - [OstreeOstreeRemote](docs/OstreeOstreeRemote.md)
 - [OstreeOstreeRemoteResponse](docs/OstreeOstreeRemoteResponse.md)
 - [OstreeOstreeRemoteResponseHiddenFields](docs/OstreeOstreeRemoteResponseHiddenFields.md)
 - [OstreeOstreeRepository](docs/OstreeOstreeRepository.md)
 - [OstreeOstreeRepositoryResponse](docs/OstreeOstreeRepositoryResponse.md)
 - [OstreeOstreeSummaryResponse](docs/OstreeOstreeSummaryResponse.md)
 - [OstreeRepositoryAddRemoveContent](docs/OstreeRepositoryAddRemoveContent.md)
 - [PaginatedRepositoryVersionResponseList](docs/PaginatedRepositoryVersionResponseList.md)
 - [PaginatedostreeOstreeCommitResponseList](docs/PaginatedostreeOstreeCommitResponseList.md)
 - [PaginatedostreeOstreeConfigResponseList](docs/PaginatedostreeOstreeConfigResponseList.md)
 - [PaginatedostreeOstreeDistributionResponseList](docs/PaginatedostreeOstreeDistributionResponseList.md)
 - [PaginatedostreeOstreeObjectResponseList](docs/PaginatedostreeOstreeObjectResponseList.md)
 - [PaginatedostreeOstreeRefResponseList](docs/PaginatedostreeOstreeRefResponseList.md)
 - [PaginatedostreeOstreeRemoteResponseList](docs/PaginatedostreeOstreeRemoteResponseList.md)
 - [PaginatedostreeOstreeRepositoryResponseList](docs/PaginatedostreeOstreeRepositoryResponseList.md)
 - [PaginatedostreeOstreeSummaryResponseList](docs/PaginatedostreeOstreeSummaryResponseList.md)
 - [PatchedostreeOstreeDistribution](docs/PatchedostreeOstreeDistribution.md)
 - [PatchedostreeOstreeRemote](docs/PatchedostreeOstreeRemote.md)
 - [PatchedostreeOstreeRepository](docs/PatchedostreeOstreeRepository.md)
 - [PolicyEnum](docs/PolicyEnum.md)
 - [Repair](docs/Repair.md)
 - [RepositorySyncURL](docs/RepositorySyncURL.md)
 - [RepositoryVersionResponse](docs/RepositoryVersionResponse.md)


## Documentation For Authorization


## basicAuth

- **Type**: HTTP basic authentication


## cookieAuth

- **Type**: API key
- **API key parameter name**: sessionid
- **Location**: 


## Author

pulp-list@redhat.com


